!config
# Arara, the cool TeX automation tool
# Copyright (c) 2022, Island of TeX
# All rights reserved.
#
# This rule is part of arara.
identifier: dvips
name: DVIPS
authors:
- Island of TeX
commands:
- name: The DVIPS program
  command: >
    @{
        base = getBasename(reference.fileName).concat('.dvi');
        out = getBasename(output[0]).concat('.ps');
        return getCommand('dvips', base, '-o', out, options);
    }
arguments:
- identifier: output
  flag: >
    @{
        isEmpty(parameters.output, reference.fileName, parameters.output)
    }
  default: ''
- identifier: options
  flag: >
    @{
        if (isList(parameters.options)) {
            return parameters.options;
        }
        else {
            throwError('I was expecting a list of options.');
        }
    }
